Re: [racket-dev] lib changes between versions

2015-01-08 Thread Dan Liebgold
Ah, these look like good approaches. First, I think I'll have to shore up
my usage of raco setup now to be sure I'm generating zos correctly for
the two different versions.

On Wed, Jan 7, 2015 at 10:19 PM, Tobias Hammer tobias.ham...@dlr.de wrote:

 I usually use this macro in a wrapper that require/provides the libs and
 provides compatibility wrappers when needed

 ;; compile time version switch
 (define-syntax (version=? stx)
   (syntax-case stx ()
 [(_ min-version body body-else)
  (if (string=? (version) (syntax-e #'min-version))
  #'body
  #'body-else)]))




 On Thu, 08 Jan 2015 02:56:16 +0100, Dan Liebgold dan.liebg...@gmail.com
 wrote:

  Actually this issue is still perplexing me. In 5.2.1 I have my own json
 lib
 which provides jsexpr-string. In 6.1 it's part of the distribution's
 collects directory.

 Is there a command line for racket that'll cause it to find mine under
 5.2.1 and the standard lib in 6.1 (skipping mine)?

 Dan

 On Wed, Jan 7, 2015 at 4:51 PM, Dan Liebgold dan.liebg...@gmail.com
 wrote:

  Ugh. Never mind... the old json lib is mine. Carry on :)

 On Wed, Jan 7, 2015 at 4:45 PM, Dan Liebgold dan.liebg...@gmail.com
 wrote:


 I'm maintaining the same racket code between Racket version 5.2.1 and
 6.1. One thing that changed between those version was the json to string
 (and vice versa) lib functions.

 Is there a straightforward way to define those functions so they'll work
 with both lib versions?

 Thanks,
 --
 Dan Liebgold[dan.liebg...@gmail.com]




 --
 Dan Liebgold[dan.liebg...@gmail.com]



  _
  Racket Developers list:
  http://lists.racket-lang.org/dev




-- 
Dan Liebgold[dan.liebg...@gmail.com]
_
  Racket Developers list:
  http://lists.racket-lang.org/dev


Re: [racket-dev] lib changes between versions

2015-01-07 Thread Matthew Flatt
If your library's name is also `json` you could put in a place that is
included in PLTCOLLECTS when you run v5.2.1, but use a PLTCOLLECTS that
doesn't include it when your run v6.1 (in much the same way that you
use different PLTCOMPILEDROOTS settings for the different versions).

If your library has a different name, you could similarly point
PLTCOLLECTS at it for v.5.2.1, and use a different implementation ---
accessed either via PLTCOLLECTS or by installing as a package --- that
wraps the main-distribution one for v6.1.

At Wed, 7 Jan 2015 17:56:16 -0800, Dan Liebgold wrote:
 Actually this issue is still perplexing me. In 5.2.1 I have my own json lib
 which provides jsexpr-string. In 6.1 it's part of the distribution's
 collects directory.
 
 Is there a command line for racket that'll cause it to find mine under
 5.2.1 and the standard lib in 6.1 (skipping mine)?
 
 Dan
 
 On Wed, Jan 7, 2015 at 4:51 PM, Dan Liebgold dan.liebg...@gmail.com wrote:
 
  Ugh. Never mind... the old json lib is mine. Carry on :)
 
  On Wed, Jan 7, 2015 at 4:45 PM, Dan Liebgold dan.liebg...@gmail.com
  wrote:
 
 
  I'm maintaining the same racket code between Racket version 5.2.1 and
  6.1. One thing that changed between those version was the json to string
  (and vice versa) lib functions.
 
  Is there a straightforward way to define those functions so they'll work
  with both lib versions?
 
  Thanks,
  --
  Dan Liebgold[dan.liebg...@gmail.com]
 
 
 
 
  --
  Dan Liebgold[dan.liebg...@gmail.com]
 
 
 
 
 -- 
 Dan Liebgold[dan.liebg...@gmail.com]
 _
   Racket Developers list:
   http://lists.racket-lang.org/dev
_
  Racket Developers list:
  http://lists.racket-lang.org/dev


Re: [racket-dev] lib changes between versions

2015-01-07 Thread Tobias Hammer
I usually use this macro in a wrapper that require/provides the libs and  
provides compatibility wrappers when needed


;; compile time version switch
(define-syntax (version=? stx)
  (syntax-case stx ()
[(_ min-version body body-else)
 (if (string=? (version) (syntax-e #'min-version))
 #'body
 #'body-else)]))



On Thu, 08 Jan 2015 02:56:16 +0100, Dan Liebgold dan.liebg...@gmail.com  
wrote:


Actually this issue is still perplexing me. In 5.2.1 I have my own json  
lib

which provides jsexpr-string. In 6.1 it's part of the distribution's
collects directory.

Is there a command line for racket that'll cause it to find mine under
5.2.1 and the standard lib in 6.1 (skipping mine)?

Dan

On Wed, Jan 7, 2015 at 4:51 PM, Dan Liebgold dan.liebg...@gmail.com  
wrote:



Ugh. Never mind... the old json lib is mine. Carry on :)

On Wed, Jan 7, 2015 at 4:45 PM, Dan Liebgold dan.liebg...@gmail.com
wrote:



I'm maintaining the same racket code between Racket version 5.2.1 and
6.1. One thing that changed between those version was the json to  
string

(and vice versa) lib functions.

Is there a straightforward way to define those functions so they'll  
work

with both lib versions?

Thanks,
--
Dan Liebgold[dan.liebg...@gmail.com]





--
Dan Liebgold[dan.liebg...@gmail.com]





_
 Racket Developers list:
 http://lists.racket-lang.org/dev


Re: [racket-dev] lib changes between versions

2015-01-07 Thread Dan Liebgold
Ugh. Never mind... the old json lib is mine. Carry on :)

On Wed, Jan 7, 2015 at 4:45 PM, Dan Liebgold dan.liebg...@gmail.com wrote:


 I'm maintaining the same racket code between Racket version 5.2.1 and 6.1.
 One thing that changed between those version was the json to string (and
 vice versa) lib functions.

 Is there a straightforward way to define those functions so they'll work
 with both lib versions?

 Thanks,
 --
 Dan Liebgold[dan.liebg...@gmail.com]




-- 
Dan Liebgold[dan.liebg...@gmail.com]
_
  Racket Developers list:
  http://lists.racket-lang.org/dev


Re: [racket-dev] lib changes between versions

2015-01-07 Thread Dan Liebgold
Actually this issue is still perplexing me. In 5.2.1 I have my own json lib
which provides jsexpr-string. In 6.1 it's part of the distribution's
collects directory.

Is there a command line for racket that'll cause it to find mine under
5.2.1 and the standard lib in 6.1 (skipping mine)?

Dan

On Wed, Jan 7, 2015 at 4:51 PM, Dan Liebgold dan.liebg...@gmail.com wrote:

 Ugh. Never mind... the old json lib is mine. Carry on :)

 On Wed, Jan 7, 2015 at 4:45 PM, Dan Liebgold dan.liebg...@gmail.com
 wrote:


 I'm maintaining the same racket code between Racket version 5.2.1 and
 6.1. One thing that changed between those version was the json to string
 (and vice versa) lib functions.

 Is there a straightforward way to define those functions so they'll work
 with both lib versions?

 Thanks,
 --
 Dan Liebgold[dan.liebg...@gmail.com]




 --
 Dan Liebgold[dan.liebg...@gmail.com]




-- 
Dan Liebgold[dan.liebg...@gmail.com]
_
  Racket Developers list:
  http://lists.racket-lang.org/dev